## pysmi 0.2.2

=== requirements.txt ===
ply==3.4; python_version < '2.6'
ply; python_version >= '2.6'
ordereddict; python_version < '2.7'
simplejson; python_version < '2.6'

=== debian/changelog ===
pysmi (0.2.2-1) unstable; urgency=low

  * Initial release (closes: #885863)

 -- Vincent Bernat <bernat@debian.org>  Sat, 30 Dec 2017 15:25:10 +0000

=== debian/control ===
Source: pysmi
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 10), dh-python,
               python-all, python3-all,
               python-ply, python3-ply,
               python-setuptools, python3-setuptools,
               python-pysnmp4, python3-pysnmp4,
               python3-sphinx,
Standards-Version: 4.1.2
Homepage: https://github.com/etingof/pysmi
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pysmi.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/pysmi.git
Testsuite: autopkgtest-pkg-python

Package: python-pysmi
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: SNMP SMI/MIB Parser (Python 2.X)
 PySMI is a pure-Python implementation of SNMP SMI MIB parser. This
 tool is designed to turn ASN.1 MIBs into various formats. As of this
 moment, JSON and pysnmp modules can be generated from ASN.1 MIBs.
 .
 This package contains the Python 2.x module.

Package: python3-pysmi
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: SNMP SMI/MIB Parser
 PySMI is a pure-Python implementation of SNMP SMI MIB parser. This
 tool is designed to turn ASN.1 MIBs into various formats. As of this
 moment, JSON and pysnmp modules can be generated from ASN.1 MIBs.
 .
 This package contains the Python 3.x module.

Package: python-pysmi-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: SNMP SMI/MIB Parser (documentation)
 PySMI is a pure-Python implementation of SNMP SMI MIB parser. This
 tool is designed to turn ASN.1 MIBs into various formats. As of this
 moment, JSON and pysnmp modules can be generated from ASN.1 MIBs.
 .
 This package contains the documentation

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pysmi
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/source/ \
		debian/python-pysmi-doc/usr/share/doc/python-pysmi-doc/html/

override_dh_install:
	dh_install
	rm -rf debian/python-pysmi/usr/bin
	mv debian/python3-pysmi/usr/bin/mibdump.py debian/python3-pysmi/usr/bin/mibdump

## pysmi 0.3.2

=== debian/changelog ===
pysmi (0.3.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 21:41:15 -0400

pysmi (0.3.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937539

 -- Sandro Tosi <morph@debian.org>  Fri, 20 Mar 2020 21:54:47 -0400

pysmi (0.3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Vincent Bernat ]
  * New upstream release
    - Fix FTBFS about test MIB not found. Closes: #911692.
  * d/rules: don't install mibcopy.py.

 -- Vincent Bernat <bernat@debian.org>  Tue, 23 Oct 2018 21:10:20 +0200

=== debian/control ===
Source: pysmi
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 10), dh-python,
               python3-all,
               python3-ply,
               python3-setuptools,
               python3-pysnmp4,
               python3-sphinx,
Standards-Version: 4.1.2
Homepage: https://github.com/etingof/pysmi
Vcs-Git: https://salsa.debian.org/python-team/packages/pysmi.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pysmi
Testsuite: autopkgtest-pkg-python

Package: python3-pysmi
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: SNMP SMI/MIB Parser
 PySMI is a pure-Python implementation of SNMP SMI MIB parser. This
 tool is designed to turn ASN.1 MIBs into various formats. As of this
 moment, JSON and pysnmp modules can be generated from ASN.1 MIBs.
 .
 This package contains the Python 3.x module.

Package: python-pysmi-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: SNMP SMI/MIB Parser (documentation)
 PySMI is a pure-Python implementation of SNMP SMI MIB parser. This
 tool is designed to turn ASN.1 MIBs into various formats. As of this
 moment, JSON and pysnmp modules can be generated from ASN.1 MIBs.
 .
 This package contains the documentation

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pysmi
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/source/ \
		debian/python-pysmi-doc/usr/share/doc/python-pysmi-doc/html/

override_dh_install:
	dh_install
	mv debian/python3-pysmi/usr/bin/mibdump.py debian/python3-pysmi/usr/bin/mibdump
	rm debian/python3-pysmi/usr/bin/mibcopy.py

## pysmi 0.3.4

=== debian/changelog ===
pysmi (0.3.4-4) unstable; urgency=medium

  * Team upload.
  * Import submodules of importlib properly (closes: #1118055).
  * Use dh-sequence-sphinxdoc.
  * Use pybuild-plugin-pyproject.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Oct 2025 12:11:54 +0100

pysmi (0.3.4-3) unstable; urgency=medium

  * Team upload.
  * Add a patch to handle the removal of "pyasn1.compat.octets"
    from python3-pyasn1 (Closes: #1098606, #1098592).

    Thank you Santiago Vila for rechecking.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Feb 2025 23:15:55 +0100

pysmi (0.3.4-2) unstable; urgency=medium

  * Team Upload
  * Set Team as Maintainer per new DPT Policy
  * Use dh-sequence-python3
  * Set "Rules-Requires-Root: no"
  * Compatibility with Sphinx 8 (Closes: #1090123)
  * Fix SyntaxError (Closes: #1071281)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 25 Dec 2024 20:23:00 +0100

pysmi (0.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.3.4.

  [ Debian Janitor ]
  * Update lintian override info to new format on line 2.
  * Bump debhelper from old 10 to 13.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Apply multi-arch hints. + python-pysmi-doc: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Thu, 21 Dec 2023 10:51:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: pysmi
 Section: python
 Priority: optional
-Maintainer: Vincent Bernat <bernat@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 10), dh-python,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Vincent Bernat <bernat@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-ply,
                python3-setuptools,
                python3-pysnmp4,
                python3-sphinx,
+Rules-Requires-Root: no
 Standards-Version: 4.1.2
 Homepage: https://github.com/etingof/pysmi
 Vcs-Git: https://salsa.debian.org/python-team/packages/pysmi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pysmi
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pysmi
 Architecture: all
@@ -31,6 +35,7 @@
 Section: doc
 Architecture: all
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: SNMP SMI/MIB Parser (documentation)
  PySMI is a pure-Python implementation of SNMP SMI MIB parser. This
  tool is designed to turn ASN.1 MIBs into various formats. As of this

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pysmi

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_installdocs:
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/source/ \
		debian/python-pysmi-doc/usr/share/doc/python-pysmi-doc/html/

execute_after_dh_install:
	mv debian/python3-pysmi/usr/bin/mibdump.py debian/python3-pysmi/usr/bin/mibdump
	rm debian/python3-pysmi/usr/bin/mibcopy.py

=== debian/watch ===
# try also https://pypi.debian.net/pysmi/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pysmi/pysmi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
